
; CP/M v2.2 Copyright 1979 (c) by Digital Research
; Ported to the eZ80F91 platform by 
; Jean-Michel Howland
; vegeneering, 2004.
; http://www.vegeneering.com/

		TITLE	"CP/M version 2.2"
		PL	255
		PW	132
		CPU	= EZ80F91

CodeStartADL:	EQU	0C00000h				; Where to copy code to.

		INCLUDE	"eZ80-CPM-BOOT.inc"			; eZ80 boot code to map memory for a CP/M system.

mycodeS:	EQU	$					; Source address to relocate from.

		jp	boot					; Jump to CP/M BIOS cold start loader.

; Start of CP/M code.

		INCLUDE	"eZ80-CPM-MDEF.inc"			; CP/M memory defines.

		INCLUDE	"eZ80-CPM-CCP.inc"			; CP/M Console Command Processor code.

		INCLUDE	"eZ80-CPM-BDOS.inc"			; CP/M Basic Disk Operating System code.

		INCLUDE	"eZ80-CPM-BIOS.inc"			; CP/M Basic Input/Output System code.

; End of CP/M code.

mycodeE:	EQU	$					; End address of code to relocate from.
mycodeL:	EQU	mycodeE - mycodeS			; Length of code to relocate.
mycodeD:	EQU	CodeStartADL + mycodeS			; Destination address where to relocate code to.

		END

